bm::serializer< BV >::bookmark_state Struct Reference

Bookmark state structure. More...

`#include <bmserial.h>`

## Public Member Functions

| bookmark_state (block_idx_type nb_range) BMNOEXCEPT

## Data Fields

unsigned char * | ptr_
| bookmark pointer
block_idx_type | nb_
| bookmark block idx
block_idx_type | nb_range_
| target bookmark range in blocks
unsigned | bm_type_
| 0:32-bit, 1: 24-bit, 2: 16-bit
size_t | min_bytes_range_
| minumal distance (bytes) between marks

## Detailed Description

template<class BV>
struct bm::serializer< BV >::bookmark_state

Bookmark state structure.

Definition at line 388 of file bmserial.h.

## Constructor & Destructor Documentation

## bookmark_state()

template<class BV>

bm::serializer< BV >::bookmark_state::bookmark_state | ( | block_idx_type | nb_range | ) |

inline

Definition at line 390 of file bmserial.h.

References bm_type_, BMNOEXCEPT, and min_bytes_range_.

## Field Documentation

## bm_type_

template<class BV>

unsigned bm::serializer< BV >::bookmark_state::bm_type_

0:32-bit, 1: 24-bit, 2: 16-bit

Definition at line 408 of file bmserial.h.

Referenced by bookmark_state().

## min_bytes_range_

template<class BV>

size_t bm::serializer< BV >::bookmark_state::min_bytes_range_

minumal distance (bytes) between marks

Definition at line 409 of file bmserial.h.

Referenced by bookmark_state().

## nb_

template<class BV>

block_idx_type bm::serializer< BV >::bookmark_state::nb_

bookmark block idx

Definition at line 406 of file bmserial.h.

## nb_range_

template<class BV>

block_idx_type bm::serializer< BV >::bookmark_state::nb_range_

target bookmark range in blocks

Definition at line 407 of file bmserial.h.

## ptr_

template<class BV>

unsigned char* bm::serializer< BV >::bookmark_state::ptr_

bookmark pointer

Definition at line 405 of file bmserial.h.

The documentation for this struct was generated from the following file:

- bmserial.h